REST API
https://<membership_id>.spydra.app/tokenize/<app_id>
Get the base URL from Network -> Deployed Apps -> App -> Rest API page.
Select your organization at the top right of this page.
Alternatively, you can from the URL by getting the <membership_id> by navigating
to Network -> Members page and getting the <app_id> by navigating to the Network ->
Deployed Apps -> App Overview page.
Assets
Query an asset.
The type of asset defined in the Asset Tokenization App settings.
Id of the asset. This is the Id that is maintained in your system and corresponds to value of the Primary Key attribute defined in the Asset Tokenization App settings.
For referenced objects, depth up to which references to be returned. For e.g. if depth=1, one level of references will be resolved.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Asset found.
Id of the asset.
Prop1The type of asset defined in the Asset Tokenization App settings.
PropertyCustom JSON object representing an asset.
{"id":"Prop1","name":"Flat xyz","address":"Chicago, Illinois","locality":"Harbor Drive"}Date and time when the asset was created on the ledger.
2023-02-15T15:47:00.027ZDate and time when the asset was last updated on the ledger.
2023-02-17T12:10:24.156ZRequest failed due to invalid request parameters.
Asset not found.
General server error.
Create an asset or a list of assets.
Whether to wait for the asset to be created before returning a response or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The type of asset defined in the Asset Tokenization App settings.
PropertyCustom JSON object representing an asset. You can submit a single asset or multiple assets in one request by providing an array of assets here.
{"id":"Prop1","name":"Flat xyz","address":"Chicago, Illinois","locality":"Harbor Drive"}Asset created.
Asset creation request accepted. Returned when async=true.
Asset creation failed due to invalid request parameters.
Asset type not found.
Asset already exists.
General server error.
Create or update an asset or a list of assets. If an asset with the same id exists, the existing asset will be updated.
Whether to wait for the asset to be created before returning a response or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The type of asset defined in the Asset Tokenization App settings.
PropertyCustom JSON object representing an asset. You can submit a single asset or multiple assets in one request by providing an array of assets here.
{"id":"Prop1","name":"Flat xyz","address":"Chicago, Illinois","locality":"Harbor Drive"}Asset created.
Asset creation request accepted. Returned when async=true.
Asset creation failed due to invalid request parameters.
Asset type not found.
General server error.
Delete one or more assets.
Whether to wait for the asset to be deleted before returning or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The type of asset defined in the Asset Tokenization App settings.
PropertyId of the asset. This is the Id that is maintained in your system and corresponds to the value of the Primary Key attribute defined in the Asset Tokenization App settings. You can submit a single id or multiple Ids in one request by providing an array here.
Prop1Asset deleted.
The transaction id generated by the Blockchain ledger.
dd7817b56429532ceea32e2111faa20a7af87c945e7d8163ae2384c560b565f2The request Id for this API request. This id can be used later to query the status of a transaction anytime using the /asset/receipt endpoint.
643d316fa27b8c7dcdb31c49Asset deletion request accepted. Returned when async=true.
Asset deletion failed due to invalid request parameters.
Asset not found.
General server error.
Update an asset or a list of assets.
Whether to wait for the asset to be updated before returning or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The type of asset defined in the Asset Tokenization App settings.
PropertyCustom JSON object representing an asset. You can submit a single asset or multiple assets in one request by providing an array of assets here.
{"id":"Prop1","name":"Flat xyz","address":"Chicago, Illinois","locality":"Harbor Drive"}Asset updated.
The transaction id generated by the Blockchain ledger.
dd7817b56429532ceea32e2111faa20a7af87c945e7d8163ae2384c560b565f2The request Id for this API request. This id can be used later to query the status of a transaction anytime using the /asset/receipt endpoint.
643d316fa27b8c7dcdb31c49Asset updation request accepted. Returned when async=true.
Asset updation failed due to invalid request parameters.
Asset not found.
General server error.
Update owners of an asset. This method replaces the current owners with the new owner array provided.
Whether to wait for the asset to be updated before returning or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The type of asset defined in the Asset Tokenization App settings.
PropertyAsset updated.
The transaction id generated by the Blockchain ledger.
dd7817b56429532ceea32e2111faa20a7af87c945e7d8163ae2384c560b565f2The request Id for this API request. This id can be used later to query the status of a transaction anytime using the /asset/receipt endpoint.
643d316fa27b8c7dcdb31c49Asset updation request accepted. Returned when async=true.
Asset updation failed due to invalid request parameters.
Asset not found.
General server error.
Get the asset along with history of changes.
The type of asset defined in the Asset Tokenization App settings.
Id of the asset. This is the Id that is maintained in your system and corresponds to the value of the Primary Key attribute defined in the Asset Tokenization App settings.
For referenced objects, depth up to which references to be returned.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Asset found
Id of the asset.
Prop1The type of asset defined in the Asset Tokenization App settings.
PropertyThe number of historical entries returned from the ledger.
1Request failed due to invalid request parameters.
Asset not found.
General server error.
Get all assets.
The type of asset defined in the Asset Tokenization App settings.
The number of records to be returned in a page. The default is 25.
The bookmark returned by previous request.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Assets found.
The number of records returned from the ledger.
1The bookmark returned to be submitted in request for next page.
Request failed due to invalid request parameters.
Asset type not found.
General server error.
Get the status of an already submitted transaction using the returned receipt id.
The receipt id returned while submitting the transaction.
Transaction found.
The ledger transaction Id corresponding to the receipt id.
6c94ff55155722c28611630e7d6795145e0282e9fabf10bf3460f396e2a6218bThe status of the submitted transaction.
Error message when the transaction status is FAILED.
SuccessRequest failed due to invalid request parameters.
Transaction not found.
General server error.
Get statistics about asset usage.
OK
Total number of assets on the ledger.
100General server error.
Asset Ownership
Get ownership transfer request by id.
Id of the ownership approval request.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Ownership transfer request found
Id of the ownership transfer request.
9a7b337324d807e3622c29aad435bf6e6ea1d14a8c4e3850c5627f3be4356d12_124134The number of approvers required to approve.
1The status of the request
The number of minutes after which the approval request should timeout after it has been created.
60Any additional data that is meaningful to be stored in the approval request.
{"name":"Flat xyz","address":"Chicago, Illinois","locality":"Harbor Drive","metadata":{"assetType":"Property","id":["Prop1"],"newOwner":{"orgId":"641b0eb2623fc30540d70fa7","userId":"6002"}}}Date and time when the ownership transfer request was created on the ledger.
2023-02-15T15:47:00.027ZDate and time when the ownership transfer request was last updated on the ledger.
2023-02-17T12:10:24.156ZRequest failed due to invalid request parameters.
Ownership transfer request not found.
General server error.
Request ownership of an asset to be transferred.
Whether to wait for the asset to be updated before returning or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The type of asset defined in the Asset Tokenization App settings.
PropertyOwnership transfer request created.
The transaction id generated by the Blockchain ledger.
dd7817b56429532ceea32e2111faa20a7af87c945e7d8163ae2384c560b565f2The request Id for this API request. This id can be used later to query the status of a transaction anytime using the /asset/receipt endpoint.
643d316fa27b8c7dcdb31c49Ownership transfer request accepted. Returned when async=true.
Ownership transfer request failed due to invalid request parameters.
Asset not found.
General server error.
Approve ownership transfer request.
Whether to wait for the asset to be updated before returning or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Id of the approval request. You can approve multiple ownership transfer requests together by providing an array of Ids here.
641821e82c44573cb52c7d97Ownership transfer request approved.
The transaction id generated by the Blockchain ledger.
dd7817b56429532ceea32e2111faa20a7af87c945e7d8163ae2384c560b565f2The request Id for this API request. This id can be used later to query the status of a transaction anytime using the /asset/receipt endpoint.
643d316fa27b8c7dcdb31c49Ownership transfer request approval accepted for processing. Returned when async=true.
Ownership transfer approval failed due to invalid request parameters.
Asset not found.
General server error.
Reject ownership transfer request.
Whether to wait for the asset to be updated before returning or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Id of the approval request. You can approve multiple ownership transfer requests together by providing an array of Ids here.
641821e82c44573cb52c7d97Ownership transfer request rejected.
The transaction id generated by the Blockchain ledger.
dd7817b56429532ceea32e2111faa20a7af87c945e7d8163ae2384c560b565f2The request Id for this API request. This id can be used later to query the status of a transaction anytime using the /asset/receipt endpoint.
643d316fa27b8c7dcdb31c49Ownership transfer request rejection accepted for processing. Returned when async=true.
Ownership transfer rejection failed due to invalid request parameters.
Asset not found.
General server error.
Get the status of ownership transfer requests submitted by an entity.
The number of records to be returned in a page. The default is 25.
The bookmark returned by previous request.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Ownership transfer request found
The number of records returned.
3The bookmark returned by previous request.
Request failed due to invalid request parameters.
Ownership transfer request not found.
General server error.
Get the ownership transfer requests in queue for approval.
Get only pending requests. The default is true.
The number of records to be returned in a page. The default is 25.
The bookmark returned by previous request.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Ownership transfer request found
The number of records returned.
3The bookmark returned by previous request.
Request failed due to invalid request parameters.
Ownership transfer request not found.
General server error.
Get the ownership transfer requests for a particular asset.
The Id of the asset for which ownership transfer requests need to be fetched.
Get only pending requests. The default is true.
The number of records to be returned in a page. The default is 25.
The bookmark returned by previous request.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Ownership transfer request found
The number of records returned.
3The bookmark returned by previous request.
Request failed due to invalid request parameters.
Ownership transfer request not found.
General server error.
Get the ownership transfer requests for a particular asset.
Id of the ownership approval request.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Ownership transfer request found
Id of the ownership transfer request.
9a7b337324d807e3622c29aad435bf6e6ea1d14a8c4e3850c5627f3be4356d12_124134The number of historical entries returned from the ledger.
1Request failed due to invalid request parameters.
Ownership transfer request not found.
General server error.
Approval
Get approval request by id.
Id of the approval request.
A unique name that represents this type of approval. The type is used to distinguish between different types of approvals in the systems. For e.g. LoanRequestApproval and LoanDisbursementApproval can be different approval types in the system. The type is also required while making other Approval API related calls.
Example: LoanRequestApproval
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Approval request found
Id of the approval request.
9a7b337324d807e3622c29aad435bf6e6ea1d14a8c4e3850c5627f3be4356d12_124134The number of approvers required to approve.
1The number of minutes after which the approval request should timeout after it has been created.
60The status of the request
Any additional data that is meaningful to be stored in the approval request.
{"name":"Flat xyz","address":"Chicago, Illinois","locality":"Harbor Drive"}Date and time when the approval request was created on the ledger.
2023-02-15T15:47:00.027ZDate and time when the approval request was last updated on the ledger.
2023-02-17T12:10:24.156ZRequest failed due to invalid request parameters.
Approval request not found.
General server error.
Create a new approval request.
Whether to wait for the asset to be updated before returning or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
A unique name that represents this type of approval. The type is used to distinguish between different types of approvals in the systems. For e.g. LoanRequestApproval and LoanDisbursementApproval can be different approval types in the system. The type is also required while making other Approval API related calls.
LoanRequestApprovalApproval request created.
The transaction id generated by the Blockchain ledger.
dd7817b56429532ceea32e2111faa20a7af87c945e7d8163ae2384c560b565f2The request Id for this API request. This id can be used later to query the status of a transaction anytime using the /asset/receipt endpoint.
643d316fa27b8c7dcdb31c49Approval request accepted. Returned when async=true.
Approval request failed due to invalid request parameters.
General server error.
Approve the request.
Whether to wait for the asset to be updated before returning or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
A unique name that represents this type of approval. The type is used to distinguish between different types of approvals in the systems. For e.g. LoanRequestApproval and LoanDisbursementApproval can be different approval types in the system. The type is also required while making other Approval API related calls.
LoanRequestApprovalApproval request approved.
The transaction id generated by the Blockchain ledger.
dd7817b56429532ceea32e2111faa20a7af87c945e7d8163ae2384c560b565f2The request Id for this API request. This id can be used later to query the status of a transaction anytime using the /asset/receipt endpoint.
643d316fa27b8c7dcdb31c49Request approval accepted for processing. Returned when async=true.
Request approval failed due to invalid request parameters.
Asset not found.
General server error.
Reject approval request.
Whether to wait for the asset to be updated before returning or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
A unique name that represents this type of approval. The type is used to distinguish between different types of approvals in the systems. For e.g. LoanRequestApproval and LoanDisbursementApproval can be different approval types in the system. The type is also required while making other Approval API related calls.
LoanRequestApprovalApproval request rejected.
The transaction id generated by the Blockchain ledger.
dd7817b56429532ceea32e2111faa20a7af87c945e7d8163ae2384c560b565f2The request Id for this API request. This id can be used later to query the status of a transaction anytime using the /asset/receipt endpoint.
643d316fa27b8c7dcdb31c49Aproval request rejection accepted for processing. Returned when async=true.
Approval request rejection failed due to invalid request parameters.
Approval Request not found.
General server error.
Cancel approval request.
Whether to wait for the asset to be updated before returning or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
A unique name that represents this type of approval. The type is used to distinguish between different types of approvals in the systems. For e.g. LoanRequestApproval and LoanDisbursementApproval can be different approval types in the system. The type is also required while making other Approval API related calls.
LoanRequestApprovalApproval request cancelled.
The transaction id generated by the Blockchain ledger.
dd7817b56429532ceea32e2111faa20a7af87c945e7d8163ae2384c560b565f2The request Id for this API request. This id can be used later to query the status of a transaction anytime using the /asset/receipt endpoint.
643d316fa27b8c7dcdb31c49Aproval request cancellation accepted for processing. Returned when async=true.
Approval request cancellation failed due to invalid request parameters.
Approval Request not found.
General server error.
Get the status of approval requests submitted by an entity.
A unique name that represents this type of approval. The type is used to distinguish between different types of approvals in the systems. For e.g. LoanRequestApproval and LoanDisbursementApproval can be different approval types in the system. The type is also required while making other Approval API related calls.
Example: LoanRequestApproval
The number of records to be returned in a page. The default is 25.
The bookmark returned by previous request.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Approval request found
The number of records returned.
3The bookmark returned by previous request.
Request failed due to invalid request parameters.
Approval request not found.
General server error.
Get the approval requests in queue for approval.
A unique name that represents this type of approval. The type is used to distinguish between different types of approvals in the systems. For e.g. LoanRequestApproval and LoanDisbursementApproval can be different approval types in the system. The type is also required while making other Approval API related calls.
Example: LoanRequestApproval
Get only pending requests. The default is true.
The number of records to be returned in a page. The default is 25.
The bookmark returned by previous request.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Approval request found
The number of records returned.
3The bookmark returned by previous request.
Request failed due to invalid request parameters.
Approval request not found.
General server error.
Get the approval requests for a particular asset.
Id of the approval request.
A unique name that represents this type of approval. The type is used to distinguish between different types of approvals in the systems. For e.g. LoanRequestApproval and LoanDisbursementApproval can be different approval types in the system. The type is also required while making other Approval API related calls.
Example: LoanRequestApproval
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Approval request found
Id of the approval request.
9a7b337324d807e3622c29aad435bf6e6ea1d14a8c4e3850c5627f3be4356d12_124134The number of historical entries returned from the ledger.
1Request failed due to invalid request parameters.
Ownership transfer request not found.
General server error.
Status check API.
OK
No content
OK
No content
Tokens
Create an asset or a list of assets.
Whether to wait for the asset to be created before returning a response or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The type of asset defined in the Asset Tokenization App settings.
PropertyCustom JSON object representing an asset. You can submit a single asset or multiple assets in one request by providing an array of assets here.
{"id":"Prop1","name":"Flat xyz","address":"Chicago, Illinois","locality":"Harbor Drive"}Asset created.
Asset creation request accepted. Returned when async=true.
Asset creation failed due to invalid request parameters.
Asset type not found.
Asset already exists.
General server error.
Get the properties of an existing token.
The id of the token to query for.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Token found.
Success response
docType
assetIdentifier of the token
RealtyTokenname of the token
RealtyTokenDescription of the Token
Token representing fractional ownership in real estate.Unique symbol for the Token
RTCAdditional custom properties for the token.
{"currency":"USD","value":1}Total supply of that token
0Total quantity of minted tokens
0TimeStamp at which created
2024-01-01T15:30:49.615ZTimeStamp at which updated
2024-01-01T15:30:49.615ZThe user entity object who created the token
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"user1"}The user entity object who updated the token
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"user1"}Request failed due to invalid request parameters.
Access Denied. Please check the caller
Used to create a token type in the blockchain. Multiple token types can be defined within the same blockchain network and users can hold one or more token type. The initialize token method can be used to define a fungible token type or a non-fungible token type (NFT).
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The Token id. Should only contain alphabets and numbers. If this is not provided, then an id will be automatically generated
RealtyTokenThe display name of the token.
RealtyTokenDescription of the token.
Token representing fractional ownership in real estate.Symbol of the token.
RTCAdditional custom properties for the token.
{"currency":"USD","value":1}Field definitions for a non fungible token. This can be omitted for fungible tokens. A NFT contains additional data that uniquely identifies a minted token. In the data fields, define the primary key that identifies the unique NFT and also any reference fields to other objects on the chain.
{"name":"id","desc":"The primary key field of the NFT that represents the id of the NFT","isPrimaryKey":true,"isForeignKey":false}Success.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aToken creation failed due to invalid request parameters.
General server error.
Update the allowed properties of an existing token. Not all fields need to be provided. The provided fileds are partially updated.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Id of the token.
87be83f3e225f9cc9b03e50bDescription of the token.
Token representing fractional ownership in real estate.Additional custom properties for the token.
{"currency":"USD","value":1}Field definitions for a non fungible token. This can be omitted for fungible tokens.
{"name":"id","desc":"The primary key field of the NFT that represents the id of the NFT","isPrimaryKey":true,"isForeignKey":false}Token updated.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aToken updation failed due to invalid request parameters.
Token updation failed due to 'not found' error.
General server error.
Get all tokens.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Tokens found.
The number of records returned from the ledger.
1The bookmark returned to be submitted in request for next page.
Tokens found.
Update the permissions of an existing token.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Id of the token.
87be83f3e225f9cc9b03e50bToken permissions updated.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aToken permissions updation failed due to invalid role.
General server error.
Token permissions updation failed due to invalid or nonexistent token.
Token permissions updation failed due to token Id is not sent in the request.
Approve a user/account to manage tokens on behalf of current user. The approved user can managed tokens for specific token Ids mentioned in the request.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
List of token IDs
["RealtyToken"]Indicates whether the tokens are approved or not
trueToken permissions updated.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aToken permissions updation failed due to invalid or nonexistent token.
General server error.
Update the owners of an existing token.Owners of the token has permissions to update the token properties and permissions. By default when a token is created, the caller becomes the onwer of the token which can be updated using this method.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Id of the token.
87be83f3e225f9cc9b03e50bToken owners updated.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aToken permissions updation failed due to invalid request parameters.
Invalid or non existent Token Id
General server error.
Owners are not passed in the request
Mint Fungible or Non-fungible tokens.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The id of the token to mint.
87be83f3e225f9cc9b03e50bOrganization entity to which tokens are minted
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"1234"}The amount of token to be minted if it is a fungible token. Not required for non-fungible tokens.
10000Any additional data when the token is an NFT. Not required for fungible tokens.
{"id":"property1","name":"Flat xyz","address":"Chicago, Illinois","locality":"Harbor Drive"}Token minted.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aToken mint failed due to invalid caller
Invalid Token Id
failed since token already exists
General server error.
Burn Fungible or Non-fungible tokens.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The id of the token to mint.
87be83f3e225f9cc9b03e50bOrganization entity from which tokens are burnt.
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"1234"}The amount of token to burn if it is a fungible token. Not required for non-fungible tokens.
10000The Id of the asset to be burned when the token is a NFT. This field is only required when token is non-fungible.
property2Token burned.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aFailed because token is already burnt.
Token burn failed due to access denied.
Token burn failed due to invalid asset Id.
General server error.
Token burn failed due to invalid token Id.
Get acount details of the specified Account Id
The id of the account to query for.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
account found.
The unique identifier for the account
account~3bbda18ab9d2677ae28b480d072463d5b6db6c6fc8ec5c95fe4ed59632fbdc9fThe type of document
accountThe token ID associated with the account
RealtyTokenThe balance associated with the account
1List of NFT IDs associated with the account
The timestamp when the account was created
The timestamp when the account was last updated
account found.
General server error.
Get details of all accounts for the specified token Ids.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The token ID
RealtyTokenAccount found.
The unique identifier for the account
account~3bbda18ab9d2677ae28b480d072463d5b6db6c6fc8ec5c95fe4ed59632fbdc9fThe type of document
accountThe token ID associated with the account
RealtyTokenThe balance associated with the account
1List of NFT IDs associated with the account
The timestamp when the account was created
The timestamp when the account was last updated
account found.
General server error.
Get details for specified transaction
The id of the transaction to query for.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
transaction details found.
The type of document (e.g., "tkntx")
tkntxThe unique identifier for the transaction
fcfb17c0eb3a73d809ee3d1829cfe157524cb44189f78f8f378c07284bae7f86The type of transaction (e.g., "MINT")
MINTThe timestamp when the transaction was created
The timestamp when the transaction was last updated
Access Denied
General server error.
Get details for all transactions for specified Token Ids.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The token ID
RealtyTokentransaction details found.
The type of document (e.g., "tkntx")
tkntxThe unique identifier for the transaction
fcfb17c0eb3a73d809ee3d1829cfe157524cb44189f78f8f378c07284bae7f86The type of transaction (e.g., "MINT")
MINTThe timestamp when the transaction was created
The timestamp when the transaction was last updated
account found.
General server error.
ERC1155
Create an asset or a list of assets.
Whether to wait for the asset to be created before returning a response or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The type of asset defined in the Asset Tokenization App settings.
PropertyCustom JSON object representing an asset. You can submit a single asset or multiple assets in one request by providing an array of assets here.
{"id":"Prop1","name":"Flat xyz","address":"Chicago, Illinois","locality":"Harbor Drive"}Asset created.
Asset creation request accepted. Returned when async=true.
Asset creation failed due to invalid request parameters.
Asset type not found.
Asset already exists.
General server error.
Get token balance for a particular user/account.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The id of the token to retrieve.
87be83f3e225f9cc9b03e50b{"orgId":"64be83f3e225f9cc9b03e50b","userId":"1234"}Token balance retrieved.
success response of get Balance
value of the balance
2Get Token balance failed due to access denied
Failed because account and token map doesnt exists
General server error.
Get token balance for multiple user/account.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The ids of the token to retrieve.
sampletoken1, sampletoken2[{"orgId":"64be83f3e225f9cc9b03e50b","userId":"1234"},{"orgId":"6592bf712aca6650dc152911","userId":"1234"}]Token balance retrieved.
request body for balance of batch
{"orgid":"6592bf712aca6650dc152911","userId":"user1"}10Get Token balance failed due to invalid request parameters.
Failed because account and token map doesnt exists
General server error.
Approve a user/account to manage tokens on behalf of current user. The approved user can managed all tokens that belong to the target user.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Whether to approve or revoke.
trueOrganization entity whom caller is approving.
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"1234"}Token Approval succeeded.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aToken Approval failed due to invalid access id or caller. Check your Params
General server error.
Check if a user/account can manage tokens on behalf of current user.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Organization who approved a operator.
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"9876"}Organization who got approved by a owner.
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"1234"}Token Approval succeeded.
Success response.
returs true if approved or false if not
trueGeneral server error.
Transfer token from one account to another account.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The account or organizational entity from which tokens needs to be transfered.
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"9876"}The account or organizational entity to which tokens needs to be transfered.
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"1234"}Identity of the token e.g RealtyToken.
RealtyTokenNumber of token to be transferred. It is 1 in case of non fungible and maximum total supply in case of fungible.
100This is field is required in case of non-fungible. Which should have assetId of the non-fungible token Id. e.g Property1 of RealtyToken
{"assetId":"property1"}Token transfer succeeded.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aToken transfer failed due to invalid request parameters.
Given Token Not found
General server error.
Given Account Not found
Transfer token from one account to another in batch.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
The account or organizational entity from which tokens needs to be transfered.
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"9876"}The account or organizational entity to which tokens needs to be transfered.
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"1234"}Identity of the token e.g RealtyToken.
'nft1', 'nft2'Number of token to be transferred. It is 1 in case of non fungible and maximum total supply in case of fungible.
100This is field is required in case of non-fungible. Which should have assetId of the non-fungible token Id. e.g Property1 of RealtyToken
{"assetIds":["property1","property2"]}Token transfer succeeded.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aToken transfer failed due to invalid request parameters.
Given Token Not found
General server error.
Given Account Not found
Vault
Create an asset or a list of assets.
Whether to wait for the asset to be created before returning a response or not. When async=false (default), the API will wait for the transaction to be committed on the Ledger and then return the transaction Id. If async=true, the API will return immediately with a receipt Id. The reciept Id can be used to check the status of the transaction anytime using the /asset/receipt endpoint.
The type of asset defined in the Asset Tokenization App settings.
PropertyCustom JSON object representing an asset. You can submit a single asset or multiple assets in one request by providing an array of assets here.
{"id":"Prop1","name":"Flat xyz","address":"Chicago, Illinois","locality":"Harbor Drive"}Asset created.
Asset creation request accepted. Returned when async=true.
Asset creation failed due to invalid request parameters.
Asset type not found.
Asset already exists.
General server error.
Get the properties of an existing vault.
The id of the vault to query for.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Vault found.
Unique identifier of the vault
RealEstateVaultThe name of the vault.
Real Estate VaultVault used to hold real estate assets.
Real Estate Vault{"orgId":"64be83f3e225f9cc9b03e50b","userId":"1234"}Any additiona Json data to be added as properties of the Vault.
{"project":"Sapphire","location":"Chicago"}Identifier of the tokens associated with the vault.
RealEstateToken{"orgId":"6592bf712aca6650dc152911"}Timestamp at which doc is created
2024-01-02T11:43:07.17ZTimestamp at which doc is updated
2024-01-02T11:43:07.17Zorg entity which doc is created
{"orgId":"6592bf712aca6650dc152911"}org entity which doc is updated
{"orgId":"6592bf712aca6650dc152911"}Request failed due to unauthorized caller.
General server error.
Used to initialize a vault and define the fungible tokens associated with the vault.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Unique identifier of the vault. This is not mandatory. If not provided a unique id will be automatically generated.
RealEstateVaultThe display name of the vault.
Real Estate VaultDescription of the Vault.
Vault used to hold real estate assetsArray of custodians for the vault. Custodians have the ability manage the vault properties and also the asset related properties - like asset value, metadata etc. If this field is not provided, current caller is added as custodian.
{"orgId":"64be83f3e225f9cc9b03e50b","userId":"custodian1"}Any additiona Json data to be added as properties of the Vault. This usually represents additional information about the assets that will be deposited in the vault.
{"project":"Sapphire","location":"Chicago"}Vault created.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aVault creation failed due to invalid request parameters.
General server error.
Vault creation failed due to invalid request parameters.
Update the allowed properties of an existing vault.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
56be83f3e225f9cc9b03e50bReal Estate VaultVault used to hold real estate assetsAny additiona Json data to be added as properties of the Vault.
{"meta":"data"}Vault updated.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aVault updation failed due to unauthorized caller
Get all vaults to which caller can access to.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Vaults found.
Unique identifier of the vault
RealEstateVaultThe name of the vault.
Real Estate VaultVault used to hold real estate assets.
Real Estate Vault{"orgId":"64be83f3e225f9cc9b03e50b","userId":"1234"}Any additiona Json data to be added as properties of the Vault.
{"project":"Sapphire","location":"Chicago"}Identifier of the tokens associated with the vault.
RealEstateToken{"orgId":"6592bf712aca6650dc152911"}Timestamp at which doc is created
2024-01-02T11:43:07.17ZTimestamp at which doc is updated
2024-01-02T11:43:07.17Zorg entity which doc is created
{"orgId":"6592bf712aca6650dc152911"}org entity which doc is updated
{"orgId":"6592bf712aca6650dc152911"}Vaults found.
Create a new fungible token and associate it with an existing vault.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Unique identifier of the vault.
RealEstateVaultVault created.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aVault creation failed due to invalid request parameters.
General server error.
Associate an existing token with an existing vault.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Unique identifier of the vault.
RealEstateVaultThe Ids of existing tokens to be associated with the vault. The token should be of type fungible, with classification.vauleType = reference. Also, the vault custodians should have mint and burn permissions on the tokens to be associated. These tokens are used to represent fractions of assets that are deposited in the vault. Multiple tokens can be associated with the vault which represents multiple class of shares that are issued against an asset.
RealEstateTokenVault created.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aVault creation failed due to invalid request parameters.
General server error.
Update the custodian of a vault
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Existing vault Id to which custodians need to be updated.
testVaultUpdate Custodians for the specified vault is successful.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aCustodian identity is Invalid
Update failed due to unauthorized caller.
Vault not found
General server error.
Deposit Assets to the vault and mint corresponding fungible tokens to the reciever's account.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Unique vault Id to which asset is to be deposited.
RealEstateVaultDeposit Assets succeeded.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aIf tried to deposit an asset which is already deposited in other vault.
Deposit Assets failed due to unauthorized caller
If asset not found or not exists.
Withdraw Assets from the vault and burn corresponding fungible tokens from the payer's account.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Existing VaultId from which assets need to be withdrawn.
RealEstateVaultWithdraw Assets succeeded.
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aWithdraw Assets failed due to invalid request parameters.
Deposit Assets failed due to unauthorized caller.
General server error.
Get all the assets that have been deposited in the specified Vault.
The id of the vault to query for.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Vault assets found.
2if Given vault is not found
General server error.
Access Denied, Check the caller entity
Update the allowed values of asset inside specified vault. This is used to update the value of an asset in the vault or update an additional metadata associated with the vault.
The entity (like user, suborg etc) within the org on behalf of which the request is being made.
Example: userId:123
Existing vault Id.
RealEstateVaultUpdate Successful
Success response.
Transaction id of the blockchain transaction.
e3e4b0f0376f550724bd7fe79a969d0bbb48f6b2b866f584b2a44007a294c411The receipt id returned while submitting the transaction.
6592daa9a4f85cb8fbda042aAccess Denied, Check the caller entity
if Given vault is not found
General server error.
Status check API.
OK
No content
OK
No content
Last updated